using NetinaShop.Domain.CommandQueries.Commands;
using NetinaShop.Domain.Dtos.RequestDtos.SeedDtos;
using Refit;

namespace NetinaShop.WordPressDBConverter.Services.RestServices;

public interface ISeedRestApi
{
    [Post("/categories")]
    Task<Dictionary<int, Guid>> SeedCategoriesAsync([Body] List<SeedCategoryRequestDto> request, [Query] string key);

    [Post("/brands")]
    Task<Dictionary<int, Guid>> SeedBrandsAsync([Body] List<SeedBrandRequestDto> request, [Query] string key);

    [Post("/products")]
    Task SeedProductsAsync([Body] List<CreateProductCommand> request, [Query] string key);
}